"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index = require("../../../hooks/use-namespace/index.js");
const skeletonItem = require("./skeleton-item.js");
const index$1 = require("../../../../../@element-plus/icons-vue/dist/index.js");
const Vue = require("vue");
var skeleton_item_vue_vue_type_script_setup_true_lang_default = /* @__PURE__ */ Vue.defineComponent({
  name: "ElSkeletonItem",
  __name: "skeleton-item",
  props: skeletonItem.skeletonItemProps,
  setup(__props) {
    const ns = index.useNamespace("skeleton");
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createElementBlock("div", { class: Vue.normalizeClass([Vue.unref(ns).e("item"), Vue.unref(ns).e(__props.variant)]) }, [__props.variant === "image" ? (Vue.openBlock(), Vue.createBlock(Vue.unref(index$1.PictureFilled), { key: 0 })) : Vue.createCommentVNode("v-if", true)], 2);
    };
  }
});
exports.default = skeleton_item_vue_vue_type_script_setup_true_lang_default;
